## ros-melodic-jackal-control 0.7.2

=== debian/changelog ===
ros-melodic-jackal-control (0.7.2-1stretch) stretch; urgency=high

  * Load the control extras last (#75 <https://github.com/jackal/jackal/issues/75>)
  * Remove the PS4 device from the yaml file, always apply the parameter from the joy_dev argument instead (#73 <https://github.com/jackal/jackal/issues/73>)
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-melodic-jackal-control (0.7.1-1stretch) stretch; urgency=high

  * Disable ekf option (#71 <https://github.com/jackal/jackal/issues/71>)
    * added env var and if-statement to disable robot ekf
    * changed if to unless
    * clearer wording
  * Contributors: jmastrangelo-cpr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-melodic-jackal-control (0.7.0-1stretch) stretch; urgency=high

  * Mark the PS3 controller launch file as deprecated, update the default joystick device to point to /dev/input/ps4, as per the new udev rules added to the bringup package
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-melodic-jackal-control (0.6.4-1stretch) stretch; urgency=high

  * Update control.launch
    Somehow a ">" has gone missing. This change adds it back in.
  * [jackal_control] Added control extras.
  * Contributors: Jeff Schmidt, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-melodic-jackal-control (0.6.3-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-melodic-jackal-control (0.6.2-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-melodic-jackal-control (0.6.1-1stretch) stretch; urgency=high

  * Added missing twist_mux.yaml.  Fixed malformed meshes
  * Added twist_mux and minor kinetic syntax changes
  * Contributors: Dave Niewinski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-melodic-jackal-control (0.6.0-1stretch) stretch; urgency=high

  * [jackal_control] Made the PS4 controller default.
  * Made minor changes to syntax for kinetic warnings
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-jackal-control (0.5.4-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-jackal-control (0.5.3-1stretch) stretch; urgency=high

  * Added support for PS4 controller.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 01 Jun 2016 04:00:00 -0000

ros-melodic-jackal-control (0.5.2-1stretch) stretch; urgency=high

  * Removed reference to FootprintLayer.
  * Increased inflation radius to account for uneven wall in Jackal_world.
  * Added pointgrey camera and accessories.
  * Improve robot_localiztion params
  * Added Sick LMS1XX URDF.
  * Fixed example calibration output.
  * Added tutorials.
  * Contributors: Mike Purvis, Martin Cote, Tony Baltovski, James Servos

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Feb 2016 05:00:00 -0000

ros-melodic-jackal-control (0.5.1-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 02 Feb 2015 05:00:00 -0000

ros-melodic-jackal-control (0.5.0-1stretch) stretch; urgency=high

  * Support disabling the joystick for simulation when only the interactive markers are desired for teleop.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-melodic-jackal-control (0.4.2-1stretch) stretch; urgency=high

  * Shorten timeout for the controller spawner's shutdown.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 14 Jan 2015 05:00:00 -0000

ros-melodic-jackal-control (0.4.1-1stretch) stretch; urgency=high

  * Remove fork of diff_drive_controller.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 07 Jan 2015 05:00:00 -0000

ros-melodic-jackal-control (0.4.0-1stretch) stretch; urgency=high

  * added joystick argumant.
  * Adding imu0_differential setting (=true) to control.yaml
  * Add dep for joint state controller.
  * Contributors: Mike Purvis, Shokoofeh Pourmehr, Tom Moore

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 12 Dec 2014 05:00:00 -0000

ros-melodic-jackal-control (0.3.0-1stretch) stretch; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-melodic-jackal-control (0.2.1-1stretch) stretch; urgency=high

  * Depend on diff_drive_controller.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Sep 2014 04:00:00 -0000

ros-melodic-jackal-control (0.2.0-1stretch) stretch; urgency=high

  * Add fork of diff_drive_controller.
  * Fix run_depend elements.
  * Fix remap for the interactive markers.
  * New jackal_control package.
    This is launchers and configuration common to simulated and real
    Jackal, including controller, localization, and teleop.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 09 Sep 2014 04:00:00 -0000
