## ros-melodic-jackal-control 0.7.9

=== debian/changelog ===
ros-melodic-jackal-control (0.7.9-1bionic) bionic; urgency=high

  * Updated Microstrain Environment Variables (#105 <https://github.com/jackal/jackal/issues/105>)
    * Added JACKAL_IMU_MICROSTRAIN environment variable to accessories
    * Updated variables in control.launch
  * Contributors: luis-camero

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 08 Mar 2022 05:00:00 -0000

ros-melodic-jackal-control (0.7.8-1bionic) bionic; urgency=high

  * predict odom->base_link tf to current time
  * Contributors: Ebrahim Shahrivar

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-melodic-jackal-control (0.7.7-1bionic) bionic; urgency=high

  * Enable roslaunch_add_file_check when CATKIN_ENABLE_TESTING=true
  * Contributors: PN:Ruichao Wu2

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 01 Oct 2021 04:00:00 -0000

ros-melodic-jackal-control (0.7.6-1bionic) bionic; urgency=high

  * Add envar support for adding a GX5 family IMU (#85 <https://github.com/jackal/jackal/issues/85>)
    * Add an alternate EKF file that uses the secondary IMU.  Add the GX5 link to the URDF if necessary. Standard mounting location TBD, so don't merge this yet.
    * Add a sane default we can use for mounting the GX5.  RSCI-10 is low-priority, so we may not finalize the default position. But this way Integration can at least start using the envars and ensure they set the xyz/rpy offsets correctly.
    * Don't disable the default IMU configuration, just load the GX5 settings as a secondary IMU
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Sun, 18 Jul 2021 04:00:00 -0000

ros-melodic-jackal-control (0.7.5-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 24 Mar 2021 04:00:00 -0000

ros-melodic-jackal-control (0.7.4-1bionic) bionic; urgency=high

  * Bumped CMake version to avoid author warning.
  * Add the JACKAL_JOY_DEVICE envar to optionally override the joy device more easily.
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 16 Mar 2021 04:00:00 -0000

ros-melodic-jackal-control (0.7.3-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-melodic-jackal-control (0.7.2-1bionic) bionic; urgency=high

  * Load the control extras last (#75 <https://github.com/jackal/jackal/issues/75>)
  * Remove the PS4 device from the yaml file, always apply the parameter from the joy_dev argument instead (#73 <https://github.com/jackal/jackal/issues/73>)
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-melodic-jackal-control (0.7.1-1bionic) bionic; urgency=high

  * Disable ekf option (#71 <https://github.com/jackal/jackal/issues/71>)
    * added env var and if-statement to disable robot ekf
    * changed if to unless
    * clearer wording
  * Contributors: jmastrangelo-cpr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-melodic-jackal-control (0.7.0-1bionic) bionic; urgency=high

  * Mark the PS3 controller launch file as deprecated, update the default joystick device to point to /dev/input/ps4, as per the new udev rules added to the bringup package
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-melodic-jackal-control (0.6.4-1bionic) bionic; urgency=high

  * Update control.launch
    Somehow a ">" has gone missing. This change adds it back in.
  * [jackal_control] Added control extras.
  * Contributors: Jeff Schmidt, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-melodic-jackal-control (0.6.3-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-melodic-jackal-control (0.6.2-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-melodic-jackal-control (0.6.1-1bionic) bionic; urgency=high

  * Added missing twist_mux.yaml.  Fixed malformed meshes
  * Added twist_mux and minor kinetic syntax changes
  * Contributors: Dave Niewinski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-melodic-jackal-control (0.6.0-1bionic) bionic; urgency=high

  * [jackal_control] Made the PS4 controller default.
  * Made minor changes to syntax for kinetic warnings
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-jackal-control (0.5.4-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 12 Apr 2018 04:00:00 -0000

ros-melodic-jackal-control (0.5.3-1bionic) bionic; urgency=high

  * Added support for PS4 controller.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 01 Jun 2016 04:00:00 -0000

ros-melodic-jackal-control (0.5.2-1bionic) bionic; urgency=high

  * Removed reference to FootprintLayer.
  * Increased inflation radius to account for uneven wall in Jackal_world.
  * Added pointgrey camera and accessories.
  * Improve robot_localiztion params
  * Added Sick LMS1XX URDF.
  * Fixed example calibration output.
  * Added tutorials.
  * Contributors: Mike Purvis, Martin Cote, Tony Baltovski, James Servos

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 10 Feb 2016 05:00:00 -0000

ros-melodic-jackal-control (0.5.1-1bionic) bionic; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 02 Feb 2015 05:00:00 -0000

ros-melodic-jackal-control (0.5.0-1bionic) bionic; urgency=high

  * Support disabling the joystick for simulation when only the interactive markers are desired for teleop.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000


